%define upstream_name    DateTime-Format-Flexible
%define upstream_version 0.24

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A module that try very hard to parse string into DateTime object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Builder) >= 0.740.0
BuildRequires: perl(DateTime::TimeZone)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Test::MockTime)
BuildRequires: perl(Test::Simple) >= 0.440.0
BuildArch:  noarch

# not autodetect, for some reason
Requires:   perl(Class::Factory::Util)
Requires:   perl(DateTime::Format::Strptime)
%description
If you have ever had to use a program that made you type in the date a
certain way and thought "Why can't the computer just figure out what date I
wanted?", this module is for you.

DateTime::Format::Flexible attempts to take any string you give it and
parse it into a DateTime object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO example
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.240.0-2.mga3
+ Revision: 365596
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.240.0-1.mga3
+ Revision: 342038
- update to 0.24

* Mon Jun 18 2012 kharec <kharec> 0.230.0-1.mga3
+ Revision: 261542
- update to 0.23

* Wed Jan 04 2012 jquelin <jquelin> 0.210.0-1.mga2
+ Revision: 190298
- update to 0.21

* Mon Sep 26 2011 jquelin <jquelin> 0.200.0-1.mga2
+ Revision: 148053
- update to 0.20

* Mon Jan 24 2011 jquelin <jquelin> 0.190.0-1.mga1
+ Revision: 37414
- mageia rebuild
- imported package perl-DateTime-Format-Flexible

